﻿using System;
using System.ComponentModel;
using System.Linq;
using Forms44.iOS;
using UIKit;
using Xamarin.Forms;
using Xamarin.Forms.Material.iOS;
using Xamarin.Forms.Platform.iOS;

[assembly: ExportRenderer(typeof(Button), typeof(DefaultButtonRenderer), new[] { typeof(VisualMarker.MaterialVisual) })]
namespace Forms44.iOS
{
    public class DefaultButtonRenderer : MaterialButtonRenderer
    {
        protected override void ApplyTheme()
        {
            base.ApplyTheme();

            //Apply on All States
            foreach (var state in Enum.GetValues(typeof(UIControlState)).Cast<UIControlState>())
            {
                if (Element != null)
                {
                    Control.SetBorderWidth((float)Element.BorderWidth, state);
                }
            }
        }
    }
}
