﻿using System;
using System.Collections.Generic;

using Xamarin.Forms;

namespace Forms44
{
    public partial class CarouselView : ContentPage
    {
        int count;
        public CarouselView()
        {
            InitializeComponent();
        }

        public void SetIndex(object sender, EventArgs e)
        {
            ImageCarousel.Position = 1;
        }

        public void ChangeMax(object sender, EventArgs e)
        {
            if (ImageIndicator.MaximumVisible == 2)
            {
                ImageIndicator.MaximumVisible = int.MaxValue;
            }
            else
            {
                ImageIndicator.MaximumVisible = 2;
            }
        }

        public void ChangeShape(object sender, EventArgs e)
        {
            if(ImageIndicator.IndicatorsShape == IndicatorShape.Circle)
            {
                ImageIndicator.IndicatorsShape = IndicatorShape.Square;
            }
            else
            {
                ImageIndicator.IndicatorsShape = IndicatorShape.Circle;
            }
        }

        public void ChangePeek(object sender, EventArgs e)
        {
            switch (count)
            {
                case 0:
                    ImageCarousel.PeekAreaInsets = 80;
                    break;
                case 1:
                    ImageCarousel.PeekAreaInsets = 100;
                    break;
                case 2:
                    ImageCarousel.PeekAreaInsets = 0;
                    break;
            }
            count++;
            if (count == 3)
            {
                count = 0;
            }
        }
    }
}
