﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using Xamarin.Forms;

namespace Forms44
{
    public partial class FakeCardListPage : ContentPage
    {
        public class FakeEmail
        {
            public string Body { get; set; }
            public Command TotoCommand => new Command(Toto);

            private void Toto(object obj)
            {
            }
        }

        public ObservableCollection<FakeEmail> Source { get; set; } = new ObservableCollection<FakeEmail>
        {
            new FakeEmail
            {
                Body="One"
            },
            new FakeEmail
            {
                Body="Two"
            },
            new FakeEmail
            {
                Body="Three"
            },
            new FakeEmail
            {
                Body="Four"
            },
            new FakeEmail
            {
                Body="Five"
            },
            new FakeEmail
            {
                Body="Six"
            },
            new FakeEmail
            {
                Body="Seven"
            },
            new FakeEmail
            {
                Body="Nine"
            },
        };

        public FakeCardListPage()
        {
            InitializeComponent();
        }

        protected override void OnAppearing()
        {
            base.OnAppearing();
            EmailList.ItemsSource = Source;
        }

        void Archive(object sender, EventArgs e)
        {
            var a = (SwipeItem)sender;
            var context = (FakeEmail)a.BindingContext;
            Source.Remove(context);
        }
    }
}
