﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace Forms44
{
    // Learn more about making custom code visible in the Xamarin.Forms previewer
    // by visiting https://aka.ms/xamarinforms-previewer
    [DesignTimeVisible(false)]
    public partial class MainPage : ContentPage
    {
        public void GoToFakeCardListMono(object sender, EventArgs e)
        {
            Navigation.PushAsync(new FakeCardListMonoAction());
        }

        public void GoToFakeMail(object sender, EventArgs e)
        {
            Navigation.PushAsync(new FakeEmailPage());
        }

        public void GoToFakeMailLeft(object sender, EventArgs e)
        {
            Navigation.PushAsync(new FakeEmailLeftPage());
        }

        public void GoToFakeCard(object sender, EventArgs e)
        {
            Navigation.PushAsync(new FakeCardListPage());
        }

        public void GoToCarousel(object sender, EventArgs e)
        {
            Navigation.PushAsync(new CarouselView());
        }

        public void GoToGif(object sender, EventArgs e)
        {
            Navigation.PushAsync(new GifLovePage());
        }

        public MainPage()
        {
            NavigationPage.SetHasNavigationBar(this, false);
            InitializeComponent();
        }

        void MaterialButton_Clicked(System.Object sender, System.EventArgs e)
        {
            MaterialButton.BorderWidth = 15;
        }
    }
}
